Bug 884601 (CVE-2013-0220) - CVE-2013-0220 sssd: Out-of-bounds read flaws in autofs and ssh services responders
Summary: CVE-2013-0220 sssd: Out-of-bounds read flaws in autofs and ssh services respo...
Status: CLOSED ERRATA
Alias: CVE-2013-0220
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130123,reported=2...
Keywords: Security
Depends On: 883878 903078 903145
Blocks: 855229 884256
TreeView+ depends on / blocked
 
Reported: 2012-12-06 11:24 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:20 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-22 04:50:51 UTC


Attachments (Terms of Use)
Proposed patch by Jan Cholasta (2.52 KB, patch)
2012-12-06 11:32 UTC, Jan Lieskovsky
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Jan Lieskovsky 2012-12-06 11:24:51 UTC
Multiple out-of-buffer bounds read flaws were found in the way autofs and ssh service responders of sssd, a System Security Services Daemon, performed parsing of SSSD packet values. An attacker could provide a specially-crafted packet that, when processed by the autofs or ssh service responders of sssd would lead to sssd server crash (temporary denial of service).

This issue was found by Florian Weimer of Red Hat Product Security Team.

Comment 1 Jan Lieskovsky 2012-12-06 11:29:29 UTC
This issue did NOT affect the version of the sssd package, as shipped with Red Hat Enterprise Linux 5 as it did not include support for autofs and ssh responders yet.

--

This issue affects the version of the sssd package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects versions of the sssd package, as shipped with Fedora release of 16 and 17.

--

This issue did NOT affect the version of the sssd package, as shipped with Fedora EPEL 5 as it did not include support for autofs and ssh responders yet.

Comment 2 Jan Lieskovsky 2012-12-06 11:32:00 UTC
Created attachment 658700 [details]
Proposed patch by Jan Cholasta

Comment 3 Huzaifa S. Sidhpurwala 2013-01-23 05:23:10 UTC
This issue has been assigned CVE-2013-0220

Comment 5 Huzaifa S. Sidhpurwala 2013-01-23 10:13:24 UTC
Created sssd tracking bugs for this issue

Affects: fedora-all [bug 903145]

Comment 6 Fedora Update System 2013-02-09 11:24:08 UTC
sssd-1.9.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Murray McAllister 2013-02-10 06:53:28 UTC
Acknowledgements:

These issues were discovered by Florian Weimer of the Red Hat Product Security Team.

Comment 8 Fedora Update System 2013-02-12 04:57:45 UTC
sssd-1.8.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2013-02-21 09:42:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0508 https://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.